Index: svn/src/devices/pci_device.c
===================================================================
--- svn.orig/src/devices/pci_device.c
+++ svn/src/devices/pci_device.c
@@ -136,7 +136,7 @@ unsigned pci_find_next_capability(struct
 		int this_cap;
 		pos &= ~3;
 		this_cap = pci_read_config8(dev, pos + PCI_CAP_LIST_ID);
-		printk(BIOS_SPEW, "Capability: type 0x%02x @ 0x%02x\n", this_cap,
+		printk(SPEW, "Capability: type 0x%02x @ 0x%02x\n", this_cap,
 			    pos);
 		if (this_cap == 0xff) {
 			break;
@@ -226,7 +226,7 @@ struct resource *pci_get_resource(struct
 	 */
 	if (moving == 0) {
 		if (value != 0) {
-			printk(BIOS_DEBUG, "%s register %02lx(%08lx), read-only ignoring it\n",
+			printk(DEBUG, "%s register %02lx(%08lx), read-only ignoring it\n",
 			     dev_path(dev), index, value);
 		}
 		resource->flags = 0;
@@ -256,8 +256,8 @@ struct resource *pci_get_resource(struct
 			resource->flags |= IORESOURCE_PCI64;
 		} else {
 			/* Invalid value. */
-			printk(BIOS_ERR, "Broken BAR with value %lx\n", attr);
-			printk(BIOS_ERR, " on dev %s at index %02lx\n",
+			printk(ERROR, "Broken BAR with value %lx\n", attr);
+			printk(ERROR, " on dev %s at index %02lx\n",
 			       dev_path(dev), index);
 			resource->flags = 0;
 		}
@@ -312,7 +312,7 @@ static void pci_get_rom_resource(struct 
 		resource->flags |= IORESOURCE_MEM | IORESOURCE_READONLY;
 	} else {
 		if (value != 0) {
-			printk(BIOS_DEBUG, "%s register %02lx(%08lx), read-only ignoring it\n",
+			printk(DEBUG, "%s register %02lx(%08lx), read-only ignoring it\n",
 			     dev_path(dev), index, value);
 		}
 		resource->flags = 0;
@@ -452,7 +452,7 @@ static void pci_set_resource(struct devi
 
 	/* Make certain the resource has actually been assigned a value. */
 	if (!(resource->flags & IORESOURCE_ASSIGNED)) {
-		printk(BIOS_ERR, "ERROR: %s %02lx %s size: 0x%010llx not assigned\n",
+		printk(ERROR, "ERROR: %s %02lx %s size: 0x%010llx not assigned\n",
 			   dev_path(dev), resource->index,
 			   resource_type(resource), resource->size);
 		return;
@@ -541,7 +541,7 @@ static void pci_set_resource(struct devi
 	} else {
 		/* Don't let me think I stored the resource. */
 		resource->flags &= ~IORESOURCE_STORED;
-		printk(BIOS_ERR, "ERROR: invalid resource->index %lx\n",
+		printk(ERROR, "ERROR: invalid resource->index %lx\n",
 			   resource->index);
 	}
 	report_resource_stored(dev, resource, "");
@@ -592,7 +592,7 @@ void pci_dev_enable_resources(struct dev
 	/* Set the subsystem vendor and device id for mainboard devices. */
 	ops = ops_pci(dev);
 	if (dev->on_mainboard && ops && ops->set_subsystem) {
-		printk(BIOS_DEBUG, "%s subsystem <- %02x/%02x\n",
+		printk(DEBUG, "%s subsystem <- %02x/%02x\n",
 			     dev_path(dev),
 			     CONFIG_MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID,
 			     CONFIG_MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID);
@@ -605,7 +605,7 @@ void pci_dev_enable_resources(struct dev
 	/* v3 has
 	 * command |= (PCI_COMMAND_PARITY + PCI_COMMAND_SERR);	// Error check.
 	 */
-	printk(BIOS_DEBUG, "%s cmd <- %02x\n", dev_path(dev), command);
+	printk(DEBUG, "%s cmd <- %02x\n", dev_path(dev), command);
 	pci_write_config16(dev, PCI_COMMAND, command);
 }
 
@@ -621,7 +621,7 @@ void pci_bus_enable_resources(struct dev
 	ctrl = pci_read_config16(dev, PCI_BRIDGE_CONTROL);
 	ctrl |= dev->link[0].bridge_ctrl;
 	ctrl |= (PCI_BRIDGE_CTL_PARITY + PCI_BRIDGE_CTL_SERR);	/* Error check. */
-	printk(BIOS_DEBUG, "%s bridge ctrl <- %04x\n", dev_path(dev), ctrl);
+	printk(DEBUG, "%s bridge ctrl <- %04x\n", dev_path(dev), ctrl);
 	pci_write_config16(dev, PCI_BRIDGE_CONTROL, ctrl);
 
 	pci_dev_enable_resources(dev);
@@ -729,7 +729,7 @@ static struct device_operations *get_pci
 #if CONFIG_PCIX_PLUGIN_SUPPORT == 1
 	pos = pci_find_capability(dev, PCI_CAP_ID_PCIX);
 	if (pos) {
-		printk(BIOS_DEBUG, "%s subordinate bus PCI-X\n", dev_path(dev));
+		printk(DEBUG, "%s subordinate bus PCI-X\n", dev_path(dev));
 		return &default_pcix_ops_bus;
 	}
 #endif
@@ -743,7 +743,7 @@ static struct device_operations *get_pci
 		flags = pci_read_config16(dev, pos + PCI_CAP_FLAGS);
 		if ((flags >> 13) == 1) {
 			/* Host or Secondary Interface */
-			printk(BIOS_DEBUG, "%s subordinate bus Hypertransport\n",
+			printk(DEBUG, "%s subordinate bus Hypertransport\n",
 				     dev_path(dev));
 			return &default_ht_ops_bus;
 		}
@@ -758,11 +758,11 @@ static struct device_operations *get_pci
 		case PCI_EXP_TYPE_ROOT_PORT:
 		case PCI_EXP_TYPE_UPSTREAM:
 		case PCI_EXP_TYPE_DOWNSTREAM:
-			printk(BIOS_DEBUG, "%s subordinate bus PCI Express\n",
+			printk(DEBUG, "%s subordinate bus PCI Express\n",
 				     dev_path(dev));
 			return &default_pciexp_ops_bus;
 		case PCI_EXP_TYPE_PCI_BRIDGE:
-			printk(BIOS_DEBUG, "%s subordinate PCI\n", dev_path(dev));
+			printk(DEBUG, "%s subordinate PCI\n", dev_path(dev));
 			return &default_pci_ops_bus;
 		default:
 			break;
@@ -793,7 +793,7 @@ static void set_pci_ops(struct device *d
 		if ((driver->vendor == dev->vendor) &&
 		    (driver->device == dev->device)) {
 			dev->ops = (struct device_operations *)driver->ops;
-			printk(BIOS_SPEW, "%s [%04x/%04x] %sops\n",
+			printk(SPEW, "%s [%04x/%04x] %sops\n",
 				    dev_path(dev),
 				    driver->vendor, driver->device,
 				    (driver->ops->scan_bus ? "bus " : ""));
@@ -821,7 +821,7 @@ static void set_pci_ops(struct device *d
 	default:
 	      bad:
 		if (dev->enabled) {
-			printk(BIOS_ERR, "%s [%04x/%04x/%06x] has unknown header "
+			printk(ERROR, "%s [%04x/%04x/%06x] has unknown header "
 				   "type %02x, ignoring.\n",
 				   dev_path(dev),
 				   dev->vendor, dev->device,
@@ -850,7 +850,7 @@ static struct device *pci_scan_get_dev(s
 	dev = 0;
 	for (; *list; list = &(*list)->sibling) {
 		if ((*list)->path.type != DEVICE_PATH_PCI) {
-			printk(BIOS_ERR, "child %s not a pci device\n",
+			printk(ERROR, "child %s not a pci device\n",
 				   dev_path(*list));
 			continue;
 		}
@@ -914,7 +914,7 @@ device_t pci_probe_dev(device_t dev, str
 		 */
 		if ((id == 0xffffffff) || (id == 0x00000000) ||
 		    (id == 0x0000ffff) || (id == 0xffff0000)) {
-			printk(BIOS_SPEW, "%s, bad id 0x%x\n", dev_path(&dummy), id);
+			printk(SPEW, "%s, bad id 0x%x\n", dev_path(&dummy), id);
 			return NULL;
 		}
 		dev = alloc_dev(bus, &dummy.path);
@@ -945,7 +945,7 @@ device_t pci_probe_dev(device_t dev, str
 		if ((id == 0xffffffff) || (id == 0x00000000) ||
 		    (id == 0x0000ffff) || (id == 0xffff0000)) {
 			if (dev->enabled) {
-				printk(BIOS_INFO, "PCI: Static device %s not found, disabling it.\n",
+				printk(INFO, "PCI: Static device %s not found, disabling it.\n",
 					    dev_path(dev));
 				dev->enabled = 0;
 			}
@@ -980,7 +980,7 @@ device_t pci_probe_dev(device_t dev, str
 	}
 
 	/* Display the device. */
-	printk(BIOS_DEBUG, "%s [%04x/%04x] %s%s\n",
+	printk(DEBUG, "%s [%04x/%04x] %s%s\n",
 		     dev_path(dev),
 		     dev->vendor, dev->device,
 		     dev->enabled ? "enabled" : "disabled",
@@ -1014,10 +1014,10 @@ unsigned int pci_scan_bus(struct bus *bu
 	struct device *child;
 
 #if CONFIG_PCI_BUS_SEGN_BITS
-	printk(BIOS_DEBUG, "PCI: pci_scan_bus for bus %04x:%02x\n",
+	printk(DEBUG, "PCI: pci_scan_bus for bus %04x:%02x\n",
 		     bus->secondary >> 8, bus->secondary & 0xff);
 #else
-	printk(BIOS_DEBUG, "PCI: pci_scan_bus for bus %02x\n", bus->secondary);
+	printk(DEBUG, "PCI: pci_scan_bus for bus %02x\n", bus->secondary);
 #endif
 
 	old_devices = bus->children;
@@ -1053,11 +1053,11 @@ unsigned int pci_scan_bus(struct bus *bu
 	 */
 	if (old_devices) {
 		device_t left;
-		printk(BIOS_WARNING, "PCI: Left over static devices:\n");
+		printk(WARNING, "PCI: Left over static devices:\n");
 		for (left = old_devices; left; left = left->sibling) {
-			printk(BIOS_WARNING, "%s\n", dev_path(left));
+			printk(WARNING, "%s\n", dev_path(left));
 		}
-		printk(BIOS_WARNING, "PCI: Check your mainboard Config.lb.\n");
+		printk(WARNING, "PCI: Check your mainboard Config.lb.\n");
 	}
 
 	/* For all children that implement scan_bus() (i.e. bridges)
@@ -1071,7 +1071,7 @@ unsigned int pci_scan_bus(struct bus *bu
 	 * side of any bridges that may be on this bus plus any devices.
 	 * Return how far we've got finding sub-buses.
 	 */
-	printk(BIOS_DEBUG, "PCI: pci_scan_bus returning with max=%03x\n", max);
+	printk(DEBUG, "PCI: pci_scan_bus returning with max=%03x\n", max);
 	post_code(0x55);
 	return max;
 }
@@ -1098,7 +1098,7 @@ unsigned int do_pci_scan_bridge(struct d
 	u32 buses;
 	u16 cr;
 
-	printk(BIOS_SPEW, "%s for %s\n", __func__, dev_path(dev));
+	printk(SPEW, "%s for %s\n", __func__, dev_path(dev));
 
 	bus = &dev->link[0];
 	bus->dev = dev;
@@ -1144,7 +1144,7 @@ unsigned int do_pci_scan_bridge(struct d
 	pci_write_config32(dev, PCI_PRIMARY_BUS, buses);
 	pci_write_config16(dev, PCI_COMMAND, cr);
 
-	printk(BIOS_SPEW, "%s returns max %d\n", __func__, max);
+	printk(SPEW, "%s returns max %d\n", __func__, max);
 	return max;
 }
 
@@ -1222,7 +1222,7 @@ void pci_assign_irqs(unsigned bus, unsig
 
 		irq = pIntAtoD[line - 1];
 
-		printk(BIOS_DEBUG, "Assigning IRQ %d to %d:%x.%d\n",
+		printk(DEBUG, "Assigning IRQ %d to %d:%x.%d\n",
 			irq, bus, slot, funct);
 
 		pci_write_config8(pdev, PCI_INTERRUPT_LINE, 
@@ -1230,7 +1230,7 @@ void pci_assign_irqs(unsigned bus, unsig
 
 #ifdef PARANOID_IRQ_ASSIGNMENTS
 		irq = pci_read_config8(pdev, PCI_INTERRUPT_LINE);
-		printk(BIOS_DEBUG, "  Readback = %d\n", irq);
+		printk(DEBUG, "  Readback = %d\n", irq);
 #endif
 
 		// Change to level triggered
Index: svn/src/devices/pci_ops.c
===================================================================
--- svn.orig/src/devices/pci_ops.c
+++ svn/src/devices/pci_ops.c
@@ -39,7 +39,7 @@ static struct bus *get_pbus(device_t dev
 
 	while(pbus && pbus->dev && !ops_pci_bus(pbus)) {
 		if (pbus == pbus->dev->bus) {
-			printk(BIOS_ERR, "%s in endless loop looking for a parent "
+			printk(ERROR, "%s in endless loop looking for a parent "
 				"bus with ops_pci_bus for %s, breaking out.\n",
 				 __func__, dev_path(dev));
 			break;
@@ -48,7 +48,7 @@ static struct bus *get_pbus(device_t dev
 	}
 	if (!pbus || !pbus->dev || !pbus->dev->ops || !pbus->dev->ops->ops_pci_bus) {
 		/* This can happen before the device tree is set up completely. */
-		//printk(BIOS_ERR, "%s: Cannot find pci bus operations.\n", dev_path(dev));
+		//printk(ERROR, "%s: Cannot find pci bus operations.\n", dev_path(dev));
 		pbus = NULL;
 	}
 	return pbus;
Index: svn/src/devices/pci_rom.c
===================================================================
--- svn.orig/src/devices/pci_rom.c
+++ svn/src/devices/pci_rom.c
@@ -38,7 +38,7 @@ struct rom_header * pci_rom_probe(struct
 	rom_header = cbfs_load_optionrom(dev->vendor, dev->device, NULL);
 
 	if (rom_header) {
-		printk(BIOS_DEBUG, "In cbfs, rom address for %s = %p\n",
+		printk(DEBUG, "In cbfs, rom address for %s = %p\n",
 			     dev_path(dev), rom_header);
 	} else {
 		unsigned long rom_address;
@@ -59,35 +59,35 @@ struct rom_header * pci_rom_probe(struct
 					   rom_address|PCI_ROM_ADDRESS_ENABLE);
 		}
 
-		printk(BIOS_DEBUG, "On card, rom address for %s = %lx\n",
+		printk(DEBUG, "On card, rom address for %s = %lx\n",
 				dev_path(dev), rom_address);
 		rom_header = (struct rom_header *)rom_address;
 	}
 
-	printk(BIOS_SPEW, "PCI Expansion ROM, signature 0x%04x, INIT size 0x%04x, data ptr 0x%04x\n",
+	printk(SPEW, "PCI Expansion ROM, signature 0x%04x, INIT size 0x%04x, data ptr 0x%04x\n",
 		    le32_to_cpu(rom_header->signature),
 		    rom_header->size * 512, le32_to_cpu(rom_header->data));
 	if (le32_to_cpu(rom_header->signature) != PCI_ROM_HDR) {
-		printk(BIOS_ERR, "Incorrect Expansion ROM Header Signature %04x\n",
+		printk(ERROR, "Incorrect Expansion ROM Header Signature %04x\n",
 			   le32_to_cpu(rom_header->signature));
 		return NULL;
 	}
 
 	rom_data = (((void *)rom_header) + le32_to_cpu(rom_header->data));
 
-	printk(BIOS_SPEW, "PCI ROM Image, Vendor %04x, Device %04x,\n",
+	printk(SPEW, "PCI ROM Image, Vendor %04x, Device %04x,\n",
 		    rom_data->vendor, rom_data->device);
 	if (dev->vendor != rom_data->vendor || dev->device != rom_data->device) {
-		printk(BIOS_ERR, "ID mismatch: Vendor ID %04x, Device ID %04x\n",
+		printk(ERROR, "ID mismatch: Vendor ID %04x, Device ID %04x\n",
 			   rom_data->vendor, rom_data->device);
 		return NULL;
 	}
 
-	printk(BIOS_SPEW, "PCI ROM Image,  Class Code %04x%02x, Code Type %02x\n",
+	printk(SPEW, "PCI ROM Image,  Class Code %04x%02x, Code Type %02x\n",
 		    rom_data->class_hi, rom_data->class_lo,
 		    rom_data->type);
 	if (dev->class != ((rom_data->class_hi << 8) | rom_data->class_lo)) {
-		printk(BIOS_DEBUG, "Class Code mismatch ROM %08x, dev %08x\n", 
+		printk(DEBUG, "Class Code mismatch ROM %08x, dev %08x\n",
 			     (rom_data->class_hi << 8) | rom_data->class_lo,
 			     dev->class);
 		//return NULL;
@@ -124,14 +124,14 @@ struct rom_header *pci_rom_load(struct d
 		if (dev != vga_pri) return NULL; // only one VGA supported
 #endif
 		if ((void *)PCI_VGA_RAM_IMAGE_START != rom_header) {
-			printk(BIOS_DEBUG, "copying VGA ROM Image from %p to 0x%x, 0x%x bytes\n",
+			printk(DEBUG, "copying VGA ROM Image from %p to 0x%x, 0x%x bytes\n",
 			    rom_header, PCI_VGA_RAM_IMAGE_START, rom_size);
 			memcpy((void *)PCI_VGA_RAM_IMAGE_START, rom_header, rom_size);
 		}
 		return (struct rom_header *) (PCI_VGA_RAM_IMAGE_START);
 	}
 
-	printk(BIOS_DEBUG, "copying non-VGA ROM Image from %p to %p, 0x%x bytes\n",
+	printk(DEBUG, "copying non-VGA ROM Image from %p to %p, 0x%x bytes\n",
 		    rom_header, pci_ram_image_start, rom_size);
 
 	memcpy(pci_ram_image_start, rom_header, rom_size);
Index: svn/src/devices/pciexp_device.c
===================================================================
--- svn.orig/src/devices/pciexp_device.c
+++ svn/src/devices/pciexp_device.c
@@ -35,7 +35,7 @@ static void pciexp_tune_dev(device_t dev
 		return;
 	}
 #ifdef CONFIG_PCIE_TUNING
-	printk(BIOS_DEBUG, "PCIe: tuning %s\n", dev_path(dev));
+	printk(DEBUG, "PCIe: tuning %s\n", dev_path(dev));
 
 	// TODO make this depending on ASPM
 	/* Enable ASPM Role Based Error Reporting */
Index: svn/src/devices/pcix_device.c
===================================================================
--- svn.orig/src/devices/pcix_device.c
+++ svn/src/devices/pcix_device.c
@@ -38,7 +38,7 @@ static void pcix_tune_dev(device_t dev)
 	if (!cap) {
 		return;
 	}
-	printk(BIOS_DEBUG, "%s PCI-X tuning\n", dev_path(dev));
+	printk(DEBUG, "%s PCI-X tuning\n", dev_path(dev));
 	status = pci_read_config32(dev, cap + PCI_X_STATUS);
 	orig_cmd = cmd = pci_read_config16(dev,cap + PCI_X_CMD);
 
@@ -135,7 +135,7 @@ unsigned int pcix_scan_bridge(device_t d
 	}
 
 	/* Print the PCI-X bus speed */
-	printk(BIOS_DEBUG, "PCI: %02x: %s\n", dev->link[0].secondary, pcix_speed(sstatus));
+	printk(DEBUG, "PCI: %02x: %s\n", dev->link[0].secondary, pcix_speed(sstatus));
 
 	return max;
 }
Index: svn/src/devices/pnp_device.c
===================================================================
--- svn.orig/src/devices/pnp_device.c
+++ svn/src/devices/pnp_device.c
@@ -103,7 +103,7 @@ void pnp_read_resources(device_t dev)
 static void pnp_set_resource(device_t dev, struct resource *resource)
 {
 	if (!(resource->flags & IORESOURCE_ASSIGNED)) {
-		printk(BIOS_ERR, "ERROR: %s %02lx %s size: 0x%010Lx not assigned\n",
+		printk(ERROR, "ERROR: %s %02lx %s size: 0x%010Lx not assigned\n",
 			dev_path(dev), resource->index,
 			resource_type(resource),
 			resource->size);
@@ -121,7 +121,7 @@ static void pnp_set_resource(device_t de
 		pnp_set_irq(dev, resource->index, resource->base);
 	}
 	else {
-		printk(BIOS_ERR, "ERROR: %s %02lx unknown resource type\n",
+		printk(ERROR, "ERROR: %s %02lx unknown resource type\n",
 			dev_path(dev), resource->index);
 		return;
 	}
Index: svn/src/devices/root_device.c
===================================================================
--- svn.orig/src/devices/root_device.c
+++ svn/src/devices/root_device.c
@@ -34,7 +34,7 @@
  */
 void root_dev_read_resources(device_t root)
 {
-	printk(BIOS_ERR, "%s should never be called.\n", __func__);
+	printk(ERROR, "%s should never be called.\n", __func__);
 }
 
 /**
@@ -46,7 +46,7 @@ void root_dev_read_resources(device_t ro
  */
 void root_dev_set_resources(device_t root)
 {
-	printk(BIOS_ERR, "%s should never be called.\n", __func__);
+	printk(ERROR, "%s should never be called.\n", __func__);
 }
 
 /**
@@ -77,7 +77,7 @@ unsigned int scan_static_bus(device_t bu
 	device_t child;
 	unsigned link;
 
-	printk(BIOS_SPEW, "%s for %s\n", __func__, dev_path(bus));
+	printk(SPEW, "%s for %s\n", __func__, dev_path(bus));
 
 	for(link = 0; link < bus->links; link++) {
 		/* for smbus bus enumerate */
@@ -93,10 +93,10 @@ unsigned int scan_static_bus(device_t bu
 				child->ops->enable(child);
 			}
  			if (child->path.type == DEVICE_PATH_I2C) {
- 				printk(BIOS_DEBUG, "smbus: %s[%d]->",  
+ 				printk(DEBUG, "smbus: %s[%d]->",
 					dev_path(child->bus->dev), child->bus->link );
 			}
-			printk(BIOS_DEBUG, "%s %s\n",
+			printk(DEBUG, "%s %s\n",
 				dev_path(child),
 				child->enabled?"enabled": "disabled");
 		}
@@ -105,12 +105,12 @@ unsigned int scan_static_bus(device_t bu
 		for(child = bus->link[link].children; child; child = child->sibling) {
 			if (!child->ops || !child->ops->scan_bus)
 				continue;
-			printk(BIOS_SPEW, "%s scanning...\n", dev_path(child));
+			printk(SPEW, "%s scanning...\n", dev_path(child));
 			max = scan_bus(child, max);
 		}
 	}
 
-	printk(BIOS_SPEW, "%s for %s done\n", __func__, dev_path(bus));
+	printk(SPEW, "%s for %s done\n", __func__, dev_path(bus));
 
 	return max;
 }
@@ -163,7 +163,7 @@ void root_dev_init(device_t root)
 
 void root_dev_reset(struct bus *bus)
 {
-	printk(BIOS_INFO, "Reseting board...\n");
+	printk(INFO, "Reseting board...\n");
 	hard_reset();
 }
 
Index: svn/src/devices/smbus_ops.c
===================================================================
--- svn.orig/src/devices/smbus_ops.c
+++ svn/src/devices/smbus_ops.c
@@ -32,7 +32,7 @@ struct bus *get_pbus_smbus(device_t dev)
 		pbus = pbus->dev->bus;
 	}
 	if (!pbus || !pbus->dev || !pbus->dev->ops || !pbus->dev->ops->ops_smbus_bus) {
-		printk(BIOS_ERR, "%s Cannot find smbus bus operations", dev_path(dev));
+		printk(ERROR, "%s Cannot find smbus bus operations", dev_path(dev));
 		die("");
 	}
 	return pbus;
@@ -53,15 +53,15 @@ int smbus_set_link(device_t dev)
 		pbus_a[pbus_num++] = pbus;
                 pbus = pbus->dev->bus;
         }
-//	printk(BIOS_INFO, "smbus_set_link: ");
+//	printk(INFO, "smbus_set_link: ");
 	for (i=pbus_num-1; i>=0; i--) {
-//		printk(BIOS_INFO, " %s[%d] -> ", dev_path(pbus_a[i]->dev), pbus_a[i]->link);
+//		printk(INFO, " %s[%d] -> ", dev_path(pbus_a[i]->dev), pbus_a[i]->link);
         	if (ops_smbus_bus(get_pbus_smbus(pbus_a[i]->dev))) {
                 	if (pbus_a[i]->dev->ops && pbus_a[i]->dev->ops->set_link)
                         	pbus_a[i]->dev->ops->set_link(pbus_a[i]->dev, pbus_a[i]->link);
 		}
 	}
-//	printk(BIOS_INFO, " %s\n", dev_path(dev));
+//	printk(INFO, " %s\n", dev_path(dev));
 
         return pbus_num;
 }
Index: svn/src/drivers/ati/ragexl/mach64_ct.c
===================================================================
--- svn.orig/src/drivers/ati/ragexl/mach64_ct.c
+++ svn/src/drivers/ati/ragexl/mach64_ct.c
@@ -2,7 +2,7 @@
 
 /* FIXME: remove the FAIL definition */
 #if 0
-#define FAIL(x) do { printk(BIOS_DEBUG, x); return -EINVAL; } while (0)
+#define FAIL(x) do { printk(DEBUG, x); return -EINVAL; } while (0)
 #else
 #define FAIL(x) 
 #endif
@@ -31,7 +31,7 @@ static int aty_dsp_gt(const struct fb_in
     u32 memcntl, n, t_pfc, t_rp, t_ras, t_rcd, t_crd, t_rcc, t_lat;
 
 #if DEBUG_PLL==1
-    printk(BIOS_DEBUG, "aty_dsp_gt : mclk_fb_mult=%d\n", pll->mclk_fb_mult);
+    printk(DEBUG, "aty_dsp_gt : mclk_fb_mult=%d\n", pll->mclk_fb_mult);
 #endif
     
     /* (64*xclk/vclk/bpp)<<11 = xclocks_per_row<<11 */
@@ -150,7 +150,7 @@ static int aty_valid_pll_ct(const struct
     pllsclk = (1000000 * 2 * pll->sclk_fb_div) /
 	    (info->ref_clk_per * pll->pll_ref_div);
 
-    printk(BIOS_DEBUG, "aty_valid_pll_ct: pllsclk=%d MHz, mclk=%d MHz\n",
+    printk(DEBUG, "aty_valid_pll_ct: pllsclk=%d MHz, mclk=%d MHz\n",
 	   pllsclk, pllsclk / pll->mclk_post_div_real);
 #endif
     
@@ -175,7 +175,7 @@ static int aty_valid_pll_ct(const struct
 #if DEBUG_PLL==1
     pllmclk = (1000000 * pll->mclk_fb_mult * pll->mclk_fb_div) /
 	    (info->ref_clk_per * pll->pll_ref_div);
-    printk(BIOS_DEBUG, "aty_valid_pll_ct: pllmclk=%d MHz, xclk=%d MHz\n",
+    printk(DEBUG, "aty_valid_pll_ct: pllmclk=%d MHz, xclk=%d MHz\n",
 	   pllmclk, pllmclk / pll->xclk_post_div_real);
 #endif
     
@@ -301,7 +301,7 @@ u32 aty_pll_ct_to_var(const struct fb_in
 void aty_set_pll_ct(const struct fb_info_aty *info, const union aty_pll *pll)
 {
 #if DEBUG_PLL==1
-    printk(BIOS_DEBUG, "aty_set_pll_ct: about to program:\n"
+    printk(DEBUG, "aty_set_pll_ct: about to program:\n"
 	   "refdiv=%d, extcntl=0x%02x, mfbdiv=%d\n"
 	   "spllcntl2=0x%02x, sfbdiv=%d, gencntl=0x%02x\n"
 	   "vclkcntl=0x%02x, vpostdiv=0x%02x, vfbdiv=%d\n"
Index: svn/src/drivers/ati/ragexl/xlinit.c
===================================================================
--- svn.orig/src/drivers/ati/ragexl/xlinit.c
+++ svn/src/drivers/ati/ragexl/xlinit.c
@@ -541,7 +541,7 @@ static void ati_ragexl_init(device_t dev
 #endif
 
 #if 0
-	printk(BIOS_DEBUG, "ati_regbase = 0x%08x, frame_buffer = 0x%08x\n", info->ati_regbase, info->frame_buffer);
+	printk(DEBUG, "ati_regbase = 0x%08x, frame_buffer = 0x%08x\n", info->ati_regbase, info->frame_buffer);
 #endif
 
     	chip_id = aty_ld_le32(CONFIG_CHIP_ID, info);
@@ -557,11 +557,11 @@ static void ati_ragexl_init(device_t dev
             		info->features = aty_chips[j].features;
             		goto found;
         }
-    	printk(BIOS_SPEW, "ati_ragexl_init: Unknown mach64 0x%04x rev 0x%04x\n", type, rev);
+    	printk(SPEW, "ati_ragexl_init: Unknown mach64 0x%04x rev 0x%04x\n", type, rev);
     	return ;
 
 found:
-    	printk(BIOS_INFO, "ati_ragexl_init: %s [0x%04x rev 0x%02x]\n", chipname, type, rev);
+    	printk(INFO, "ati_ragexl_init: %s [0x%04x rev 0x%02x]\n", chipname, type, rev);
 #if 0
     	if (M64_HAS(INTEGRATED)) {
         	/* for many chips, the mclk is 67 MHz for SDRAM, 63 MHz otherwise */
@@ -717,7 +717,7 @@ found:
 
     if (atyfb_decode_var(&var, &info->default_par, info)) {
 #if 0	
-        printk(BIOS_DEBUG, "atyfb: can't set default video mode\n");
+        printk(DEBUG, "atyfb: can't set default video mode\n");
 #endif
         return ;
     }
@@ -750,7 +750,7 @@ found:
 
 #if PLL_CRTC_DECODE==1
 
-    printk(BIOS_SPEW, "framebuffer=0x%08x, width=%d, height=%d, bpp=%d, pitch=%d\n",info->frame_buffer,
+    printk(SPEW, "framebuffer=0x%08x, width=%d, height=%d, bpp=%d, pitch=%d\n",info->frame_buffer,
                          (((info->current_par.crtc.h_tot_disp>>16) & 0xff)+1)*8,
                          ((info->current_par.crtc.v_tot_disp>>16) & 0x7ff)+1,
                          info->current_par.crtc.bpp,
@@ -762,7 +762,7 @@ found:
                          info->current_par.crtc.bpp,
                          info->current_par.crtc.vxres*info->current_par.crtc.bpp/8,info->frame_buffer);
 #else
-    printk(BIOS_SPEW, "framebuffer=0x%08x, width=%d, height=%d, bpp=%d, pitch=%d\n",info->frame_buffer,
+    printk(SPEW, "framebuffer=0x%08x, width=%d, height=%d, bpp=%d, pitch=%d\n",info->frame_buffer,
                          (((info->default_par.crtc.h_tot_disp>>16) & 0xff)+1)*8,
                          ((info->default_par.crtc.v_tot_disp>>16) & 0x7ff)+1,
                          info->default_par.crtc.bpp,
@@ -1184,7 +1184,7 @@ static int atyfb_set_var(struct fb_var_s
     atyfb_encode_var(var, &par, (struct fb_info_aty *)info);
    
 #if 0 
-    printk(BIOS_INFO, "atyfb_set_var: activate=%d\n", activate & FB_ACTIVATE_MASK);
+    printk(INFO, "atyfb_set_var: activate=%d\n", activate & FB_ACTIVATE_MASK);
 #endif
 
     if ((activate & FB_ACTIVATE_MASK) == FB_ACTIVATE_NOW) {
Index: svn/src/drivers/emulation/qemu/init.c
===================================================================
--- svn.orig/src/drivers/emulation/qemu/init.c
+++ svn/src/drivers/emulation/qemu/init.c
@@ -56,7 +56,7 @@ static void qemu_init(void)
 {
     int width=640, height=480, depth=8;
 
-    printk(BIOS_DEBUG, "Initializing VGA!\n");
+    printk(DEBUG, "Initializing VGA!\n");
     
     vbe_outw(VBE_DISPI_INDEX_XRES, width);
     vbe_outw(VBE_DISPI_INDEX_YRES, height);
Index: svn/src/drivers/generic/debug/debug_dev.c
===================================================================
--- svn.orig/src/drivers/generic/debug/debug_dev.c
+++ svn/src/drivers/generic/debug/debug_dev.c
@@ -17,10 +17,10 @@ static void print_pci_regs(struct device
       for(i=0;i<256;i++) {
 	      byte = pci_read_config8(dev, i);
    
-	      if((i & 0xf)==0) printk(BIOS_DEBUG, "\n%02x:",i);
-	      printk(BIOS_DEBUG, " %02x",byte);
+	      if((i & 0xf)==0) printk(DEBUG, "\n%02x:",i);
+	      printk(DEBUG, " %02x",byte);
       }
-      printk(BIOS_DEBUG, "\n");
+      printk(DEBUG, "\n");
 }
 
 static void print_mem(void)
@@ -28,10 +28,10 @@ static void print_mem(void)
         unsigned int i;
 	unsigned int start = 0xfffff000;
 	for(i=start;i<0xffffffff;i++) {
-             if((i & 0xf)==0) printk(BIOS_DEBUG, "\n %08x:",i);
-             printk(BIOS_DEBUG, " %02x",(unsigned char)*((unsigned char *)i));
+             if((i & 0xf)==0) printk(DEBUG, "\n %08x:",i);
+             printk(DEBUG, " %02x",(unsigned char)*((unsigned char *)i));
              }
-	printk(BIOS_DEBUG, " %02x\n",(unsigned char)*((unsigned char *)i));
+	printk(DEBUG, " %02x\n",(unsigned char)*((unsigned char *)i));
 
  }
 static void print_pci_regs_all(void)
@@ -51,7 +51,7 @@ static void print_pci_regs_all(void)
 				if(!dev->enabled) {
 					continue;
 				}
-			        printk(BIOS_DEBUG, "\n%02x:%02x:%02x aka %s", 
+			        printk(DEBUG, "\n%02x:%02x:%02x aka %s",
 					bus, device, function, dev_path(dev));
 				print_pci_regs(dev);
 			}
@@ -65,19 +65,19 @@ static void print_cpuid()
 	unsigned index;
 	unsigned eax, ebx, ecx, edx;
 	index = 0x80000007;
-	printk(BIOS_DEBUG, "calling cpuid 0x%08x\n", index);
+	printk(DEBUG, "calling cpuid 0x%08x\n", index);
 	asm volatile(
 		"cpuid"
 		: "=a" (eax), "=b" (ebx), "=c" (ecx), "=d" (edx)
 		: "a" (index)
 		);
-	printk(BIOS_DEBUG, "cpuid[%08x]: %08x %08x %08x %08x\n",
+	printk(DEBUG, "cpuid[%08x]: %08x %08x %08x %08x\n",
 		index, eax, ebx, ecx, edx);
 	if (edx & (3 << 1)) {
 		index = 0xC0010042;
-		printk(BIOS_DEBUG, "Reading msr: 0x%08x\n", index);
+		printk(DEBUG, "Reading msr: 0x%08x\n", index);
 		msr = rdmsr(index);
-		printk(BIOS_DEBUG, "msr[0x%08x]: 0x%08x%08x\n",
+		printk(DEBUG, "msr[0x%08x]: 0x%08x%08x\n",
 			index, msr.hi, msr.lo);
 	}
 
@@ -85,23 +85,23 @@ static void print_cpuid()
 static void print_smbus_regs(struct device *dev)
 {               
 	int j;
-	printk(BIOS_DEBUG, "smbus: %s[%d]->", dev_path(dev->bus->dev), dev->bus->link);
-	printk(BIOS_DEBUG, "%s", dev_path(dev));
+	printk(DEBUG, "smbus: %s[%d]->", dev_path(dev->bus->dev), dev->bus->link);
+	printk(DEBUG, "%s", dev_path(dev));
 	for(j = 0; j < 256; j++) {
 		int status;
 		unsigned char byte;
 		status = smbus_read_byte(dev, j);
 		if (status < 0) {
-		//	printk(BIOS_DEBUG, "bad device status= %08x\n", status);
+		//	printk(DEBUG, "bad device status= %08x\n", status);
 			break;
 		}
                 if ((j & 0xf) == 0) {
-                        printk(BIOS_DEBUG, "\n%02x: ", j);
+                        printk(DEBUG, "\n%02x: ", j);
                 }  
 		byte = status & 0xff;
-		printk(BIOS_DEBUG, "%02x ", byte);
+		printk(DEBUG, "%02x ", byte);
 	}
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 }
 
 static void print_smbus_regs_all(struct device *dev)
@@ -133,28 +133,28 @@ static void print_msr_dualcore(void)
         unsigned index;
         unsigned eax, ebx, ecx, edx;
         index = 0x80000008;
-        printk(BIOS_DEBUG, "calling cpuid 0x%08x\n", index);
+        printk(DEBUG, "calling cpuid 0x%08x\n", index);
         asm volatile(
                 "cpuid"
                 : "=a" (eax), "=b" (ebx), "=c" (ecx), "=d" (edx)
                 : "a" (index)
                 );
-        printk(BIOS_DEBUG, "cpuid[%08x]: %08x %08x %08x %08x\n",
+        printk(DEBUG, "cpuid[%08x]: %08x %08x %08x %08x\n",
                 index, eax, ebx, ecx, edx);
 
-        printk(BIOS_DEBUG, "core number %d\n", ecx & 0xff);   
+        printk(DEBUG, "core number %d\n", ecx & 0xff);
 
         index = 0xc001001f;
-        printk(BIOS_DEBUG, "Reading msr: 0x%08x\n", index);
+        printk(DEBUG, "Reading msr: 0x%08x\n", index);
         msr = rdmsr(index);
-        printk(BIOS_DEBUG, "msr[0x%08x]: 0x%08x%08x bit 54 is %d\n",
+        printk(DEBUG, "msr[0x%08x]: 0x%08x%08x bit 54 is %d\n",
                 index, msr.hi, msr.lo, (msr.hi>> (54-32)) & 1);
 #if 0
         msr.hi |= (1<<(54-32));
         wrmsr(index, msr);
 
         msr = rdmsr(index);
-        printk(BIOS_DEBUG, "msr[0x%08x]: 0x%08x%08x\n",
+        printk(DEBUG, "msr[0x%08x]: 0x%08x%08x\n",
                 index, msr.hi, msr.lo);
 #endif
 
@@ -166,7 +166,7 @@ static void print_cache_size(void)
 	unsigned int n, eax, ebx, ecx, edx;
 
         index = 0x80000000;
-        printk(BIOS_DEBUG, "calling cpuid 0x%08x\n", index);
+        printk(DEBUG, "calling cpuid 0x%08x\n", index);
         asm volatile(
                 "cpuid"
                 : "=a" (eax), "=b" (ebx), "=c" (ecx), "=d" (edx)
@@ -176,25 +176,25 @@ static void print_cache_size(void)
 
         if (n >= 0x80000005) {
 	        index = 0x80000005;
-	        printk(BIOS_DEBUG, "calling cpuid 0x%08x\n", index);
+	        printk(DEBUG, "calling cpuid 0x%08x\n", index);
         	asm volatile(
                 	"cpuid"
 	                : "=a" (eax), "=b" (ebx), "=c" (ecx), "=d" (edx)
         	        : "a" (index)
                 	);
-                printk(BIOS_DEBUG, "CPU: L1 I Cache: %dK (%d bytes/line), D cache %dK (%d bytes/line)\n",
+                printk(DEBUG, "CPU: L1 I Cache: %dK (%d bytes/line), D cache %dK (%d bytes/line)\n",
                         edx>>24, edx&0xFF, ecx>>24, ecx&0xFF);
         }
 
         if (n >= 0x80000006) {
                 index = 0x80000006;
-                printk(BIOS_DEBUG, "calling cpuid 0x%08x\n", index);
+                printk(DEBUG, "calling cpuid 0x%08x\n", index);
                 asm volatile(
                         "cpuid"
                         : "=a" (eax), "=b" (ebx), "=c" (ecx), "=d" (edx)
                         : "a" (index)
                         );
-        	printk(BIOS_DEBUG, "CPU: L2 Cache: %dK (%d bytes/line)\n",
+        	printk(DEBUG, "CPU: L2 Cache: %dK (%d bytes/line)\n",
                 	ecx >> 16, ecx & 0xFF);
         }
 
@@ -220,11 +220,11 @@ static void print_tsc(void) {
 	
 	tsc_t tsc;
 	tsc = rdtsc();
-        printk(BIOS_DEBUG, "tsc: 0x%08x%08x\n",
+        printk(DEBUG, "tsc: 0x%08x%08x\n",
                      tsc.hi, tsc.lo);
 	udelay(1);
         tsc = rdtsc();
-        printk(BIOS_DEBUG, "tsc: 0x%08x%08x after udelay(1) \n",
+        printk(DEBUG, "tsc: 0x%08x%08x after udelay(1) \n",
                      tsc.hi, tsc.lo);
 
 }
@@ -238,11 +238,11 @@ static void debug_init(device_t dev)
 	switch(dev->path.pnp.device) {
 	case 0:
 		parent = dev->bus->dev;
-		printk(BIOS_DEBUG, "DEBUG: %s", dev_path(parent));
+		printk(DEBUG, "DEBUG: %s", dev_path(parent));
 		if(parent->chip_ops && parent->chip_ops->name) {
-			printk(BIOS_DEBUG, ": %s\n", parent->chip_ops->name);
+			printk(DEBUG, ": %s\n", parent->chip_ops->name);
 		} else {
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
 		break;
 		
